RSGP - Feature #2676

[Mobile-API] ESS Leave - Formula cuti
03/23/2024 01:53 PM - Johanes Christian Kurni

Status: Closed

Priority: Immediate

Assignee: Johanes Christian Kurni
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

03/23/2024

0%
0.00 hour
8.00 hours

Description

Dear
Azid,

Untuk alur pengambilan quota cuti yaitu dilihat dulu apakah masih ada sisa quota cuti diperiode sebelumnya jika masih ada maka itu
yang diambil duluan sebelum ambil sisa quota cuti pada periode yang sedang berjalan. jika sisa quota sudah habis atau minus maka
karyawan masih bisa tetap melakukan pengajuan cuti dan minus tetap di simpan pada remain Quota dan nanti jika ada quota cuti
baru yang masuk maka akan langsung memotong quota cuti yang baru tersebut dengan remain quota cuti yang minus di periode

sebelumnya.

Contoh data:

00000026 = previosQuota 4
00000027 = remainQuota 0
00000028 = remainQuota -3

Port: http://remote.minovais.com:31144/
Server: remote.minovais.com, 1442
DB: MinovaES_RSGP_Dev

Terima Kasih

History

#1 - 03/23/2024 01:53 PM - Johanes Christian Kurni

- Status changed from New to Assigned

#2 - 03/25/2024 04:02 PM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni
dear jo , udah bisa di test ya

package :

- MinovalS.Mobile.APLdll

- MinovalS.Mobile.WorkFlow.dll

- MinovalS.Mobile.Element.dll

sp ([GetDataGetAbsenType],[WFLeaveBlockDetail])
custparam(LeaveUpdateRemainingQuotaSave)
makasih

#3 - 03/25/2024 04:21 PM - Johanes Christian Kurni
- Status changed from QA Test to Closed

Done

03/14/2025
